﻿#!/bin/ash

mypath=${0%/*}
export PATH=$mypath:$PATH
loc=${mypath%/*}
st=`cat $mypath/turnoffkl.txt`

if [ $st -eq 0 ]; then
title="Выключить подсветку клавиатуры"
else
title="Включить подсветку клавиатуры"
fi

if [ -f /ezxlocal/download/mystuff/unKnown/S99k ]; then
tt="Удалить из автозагрузки"
else
tt="Добавить в автозагрузку"
fi

did () {
if [ $st -eq 0 ]; then
   $loc/setconfig $loc/settings.cfg Option4b 已开启 LIST3
   exec $mypath/doMode.sh &
else
    echo "0" > $mypath/turnoffkl.txt
	kill `pidof sleep doMode.sh`
	$mypath/setMorphingMode 2
	$loc/setconfig $loc/settings.cfg Option4b 未开启 LIST3
	exit 0
fi
}

showRadio "Подсветка клавиатуры" "Пожалуйста, выберите:" "$title" "Установить время выключения" "$tt"
case $? in
	   1)    did
        	 
			 ;;
	   2) 
 showQ "" "В период с `cat $mypath/timevam.txt ` до ` cat $mypath/timevpm.txt`" 1
 [ $? -eq 0 ] && exit
	   rm $mypath/time.txt
	   $mypath/showTime showTime -f $mypath/timevam.txt -t "Установить время начала"  
       
       if [ $? -eq 0 ]; then
          exec $mypath/setkeyboard.sh
       else
		  mam=`cat $mypath/timevam.txt | grep '..:' | sed 's/..://'`
		  ham=`cat $mypath/timevam.txt | grep ':..' | sed 's/:..//'`
          echo "$ham$mam" > $mypath/timeam.txt
       fi
	   rm $mypath/time.txt
       $mypath/showTime showTime -f $mypath/timevpm.txt -t "Конечное время"  
       if [ $? -eq 0 ]; then
          showQ "Ошибка" "Время не установленно" 2	
		  rm $mypath/timeam.txt
		  cp $mypath/backup/timeam.txt $mypath/
		  rm $mypath/timevam.txt
		  cp $mypath/backup/timevam.txt $mypath/
		  cp $mypath/backup/timepm.txt $mypath/
		  rm $mypath/timevpm.txt
		  cp $mypath/backup/timevpm.txt $mypath/
		  exec $mypath/setkeyboard.sh
       else
		  mpm=`cat $mypath/timevpm.txt | grep '..:' | sed 's/..://'`
		  hpm=`cat $mypath/timevpm.txt | grep ':..' | sed 's/:..//'`
          echo "$hpm$mpm" > $mypath/timepm.txt
      fi    
      timeam="$ham$mam"
      timepm="$hpm$mpm"
	  
	  if [ $timepm -lt $timeam ]; then
		  showQ "Ошибка" "Время не установленно" 2	
		  rm $mypath/timeam.txt
		  cp $mypath/backup/timeam.txt $mypath/
		  rm $mypath/timevam.txt
		  cp $mypath/backup/timevam.txt $mypath/
		  cp $mypath/backup/timepm.txt $mypath/
		  rm $mypath/timevpm.txt
		  cp $mypath/backup/timevpm.txt $mypath/
		  exec $mypath/setkeyboard.sh
		  fi
			
             showQ "Успешно" "В период с`cat $mypath/timevam.txt ` до ` cat $mypath/timevpm.txt` Автоматически выключиться подсветка" 2
			 cp $mypath/timevam.txt $mypath/backup
			 cp $mypath/timeam.txt $mypath/backup
	         cp $mypath/timepm.txt $mypath/backup
			 cp $mypath/timevpm.txt $mypath/backup
			 echo "0" > $mypath/turnoffkl.txt
			 kill `pidof sleep doMode.sh`
			 exec $mypath/doMode.sh &
			 
             ;;	
	   3) 
	     if [ ! -f /ezxlocal/download/mystuff/unKnown/S99k ]; then
		 echo "(sleep 30s;$mypath/doMode.sh)&" > /ezxlocal/download/mystuff/unKnown/S99k
		 showQ "Успешно" "Добавлено в автозагрузку!" 2
		 else
	     rm /ezxlocal/download/mystuff/unKnown/S99k
         showQ "Успешно" "Удалено из автозагрузки!" 2
		 fi
		 exit 0
             ;;
				 
	 *)
             exit 0
             ;;
esac